import QtQuick
import QtQuick.Window
import QtQuick.Dialogs
import QtQuick.Controls

Window {
    width: 640
    height: 480
    visible: true
    title: qsTr("DoViGUI")
    color: "darkgrey"

    Button {
        id: btnVideoFile
        anchors.topMargin: 25
        anchors.leftMargin: 25
        anchors.top: parent.top
        anchors.left: parent.left
        text: "Video File"
        font.pixelSize: 14
        onClicked: videoFileDialog.open()
        flat: false
        height: font.pixelSize + 10
        width: 100
    }

    Rectangle {
        anchors.top: btnVideoFile.bottom
        anchors.left: btnVideoFile.left
        anchors.right: parent.right
        anchors.rightMargin: 25
        color: "lightgrey"
        height: txtVideoFile.font.pixelSize + 10
        TextEdit {
            id: txtVideoFile
            text: ""
            anchors.fill: parent
            anchors.leftMargin: 15
            verticalAlignment: TextEdit.AlignVCenter
            readOnly: false
            selectByMouse: true
            font.pixelSize: 14
        }
    }



    FileDialog {
        id: videoFileDialog
        fileMode: FileDialog.OpenFile
        nameFilters: ["Video files (*.mkv *.mp4)", "All files (*)"]
        onAccepted: { const reg = /^file:\/\/\//        //Remove "file:/// at start of URL
            txtVideoFile.text = videoFileDialog.selectedFile.toString().replace(reg, "") }
    }
}
